Bug 1230 - Unknown "dos charset" causes most Samba commands to enter infinite loop of errors.
Unknown "dos charset" causes most Samba commands to enter infinite loop of er...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
3.0.2a
All Linux
: P3 minor
: none
Assigned To: Alexander Bokovoy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-30 15:44 UTC by Jed Davis
Modified: 2005-08-24 10:21 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jed Davis 2004-03-30 15:44:09 UTC
If the "dos charset" parameter is set to something the Samba iconv layer doesn't
understand (here, "850" instead of "CP850"), a series of 16 messages like these
is logged:

[2004/03/22 15:34:11, 0] lib/charcnv.c:init_iconv(134) 
  Conversion from UCS-2LE to 850 not supported 
[2004/03/22 15:34:11, 0] lib/charcnv.c:init_iconv(134) 
  Conversion from UTF8 to 850 not supported 
[2004/03/22 15:34:11, 0] lib/charcnv.c:init_iconv(134) 
  Conversion from ASCII to 850 not supported 

...which is then followed by an endless stream of this message:

[2004/03/22 15:34:11, 0] lib/charcnv.c:convert_string_internal(190) 
  convert_string_internal: Conversion not supported. 

This continues until the command is killed, and applies equally to smbd,
smbclient, testparm, pdbedit, nmbd, net, rpcclient, nmblookup, etc.  In
particular, smbd and nmbd never even reach the point of becoming a daemon.

In case it makes a difference, this Samba was compiled without native iconv (it
seems that the glibc is oldish, and lacks "UCS-2LE").
Comment 1 Gerald (Jerry) Carter 2004-05-27 04:01:51 UTC
Are things better in 3.0.4 ?  There's been a lot of 
work here lately.
Comment 2 Jed Davis 2004-06-03 11:56:44 UTC
It does appear to be fixed in 3.0.4; commands will print warning messages like
these:

init_iconv: Conversion from UCS-2LE to foobar not supported
init_iconv: Attempting to replace with conversion from UCS-2LE to ASCII
init_iconv: Conversion from UTF8 to foobar not supported
init_iconv: Attempting to replace with conversion from ASCII to ASCII

but will then work normally afterwards.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:21:24 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.